org.keycloak.dom.saml.v2.protocol

## Class LogoutRequestType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.LogoutRequestType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class LogoutRequestType
      extends RequestAbstractType

  Java class for LogoutRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LogoutRequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}SessionIndex" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseIDAbstractType` | `baseID`
    `protected EncryptedElementType` | `encryptedID`
    `protected NameIDType` | `nameID`
    `protected XMLGregorianCalendar` | `notOnOrAfter`
    `protected String` | `reason`
    `protected List<String>` | `sessionIndex`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogoutRequestType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSessionIndex(String index)` Add session index
    `BaseIDAbstractType` | `getBaseID()` Gets the value of the baseID property.
    `EncryptedElementType` | `getEncryptedID()` Gets the value of the encryptedID property.
    `NameIDType` | `getNameID()` Gets the value of the nameID property.
    `XMLGregorianCalendar` | `getNotOnOrAfter()` Gets the value of the notOnOrAfter property.
    `String` | `getReason()` Gets the value of the reason property.
    `List<String>` | `getSessionIndex()` Gets the value of the sessionIndex property.
    `void` | `removeSessionIndex(String index)` Remove session index
    `void` | `setBaseID(BaseIDAbstractType value)` Sets the value of the baseID property.
    `void` | `setEncryptedID(EncryptedElementType value)` Sets the value of the encryptedID property.
    `void` | `setNameID(NameIDType value)` Sets the value of the nameID property.
    `void` | `setNotOnOrAfter(XMLGregorianCalendar value)` Sets the value of the notOnOrAfter property.
    `void` | `setReason(String value)` Sets the value of the reason property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseID

          protected BaseIDAbstractType baseID

    - #### nameID

          protected NameIDType nameID

    - #### encryptedID

          protected EncryptedElementType encryptedID

    - #### sessionIndex

          protected List<String> sessionIndex

    - #### reason

          protected String reason

    - #### notOnOrAfter

          protected XMLGregorianCalendar notOnOrAfter

  - ### Constructor Detail

    - #### LogoutRequestType

          public LogoutRequestType(String id,
                                   XMLGregorianCalendar instant)

  - ### Method Detail

    - #### getBaseID

          public BaseIDAbstractType getBaseID()

      Gets the value of the baseID property.
      Returns:
        possible object is `BaseIDAbstractType`

    - #### setBaseID

          public void setBaseID(BaseIDAbstractType value)

      Sets the value of the baseID property.
      Parameters:
        `value` - allowed object is `BaseIDAbstractType`

    - #### getNameID

          public NameIDType getNameID()

      Gets the value of the nameID property.
      Returns:
        possible object is `NameIDType`

    - #### setNameID

          public void setNameID(NameIDType value)

      Sets the value of the nameID property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getEncryptedID

          public EncryptedElementType getEncryptedID()

      Gets the value of the encryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setEncryptedID

          public void setEncryptedID(EncryptedElementType value)

      Sets the value of the encryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

    - #### addSessionIndex

          public void addSessionIndex(String index)

      Add session index
      Parameters:
        `index` -

    - #### removeSessionIndex

          public void removeSessionIndex(String index)

      Remove session index
      Parameters:
        `index` -

    - #### getSessionIndex

          public List<String> getSessionIndex()

      Gets the value of the sessionIndex property.

    - #### getReason

          public String getReason()

      Gets the value of the reason property.
      Returns:
        possible object is `String`

    - #### setReason

          public void setReason(String value)

      Sets the value of the reason property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotOnOrAfter

          public XMLGregorianCalendar getNotOnOrAfter()

      Gets the value of the notOnOrAfter property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setNotOnOrAfter

          public void setNotOnOrAfter(XMLGregorianCalendar value)

      Sets the value of the notOnOrAfter property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

Copyright © 2016 JBoss by Red Hat. All rights reserved.